{...}: {
  imports = [
    ./keymaps.nix
    ./options.nix
    ./plugins
  ];

  programs.nixvim = {
    enable = true;

    clipboard.register = "unnamedplus";

    colorschemes.catppuccin = {
      enable = true;
      settings.flavour = "mocha";
      settings.integrations = {
        gitsigns = true;
        treesitter = true;
        cmp = true;
      };
    };
  };
}
